Create a job from a template

Creates a new job by cloning an existing job template. All template entities (tasks, materials, checklists, quotes, custom fields) are cloned to the new job.

Field Overrides

Only the following fields can be overridden when creating a job from a template:

  • job_description - Job description
  • company_uuid - UUID of the company/client
  • company_name - Name of the company/client (will lookup existing or create new)
  • job_address - Street address for the job

Note: You cannot specify both company_uuid and company_name. If company_name is provided, the system will first search for an existing company with that name. If found, it will use that company's UUID. If not found, a new company will be created.

Any other fields in the request body will be ignored.

OAuth Scope

This endpoint requires the following OAuth scope create_jobs.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

UUID of the job template to clone from

Body Params

Field overrides for the new job (send an empty object to use template defaults)

string

Job description

uuid

UUID of the company/client. Cannot be used together with company_name.

string

Name of the company/client. If a company with this name exists, it will be used. Otherwise, a new company will be created. Cannot be used together with company_uuid.

string

Street address for the job

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json